local utils = require('utils')
local g = vim.g

utils.create_augroup({
	{ 'BufNewFile,BufRead', '*.odin', 'set', 'filetype=odin' },
	{ 'BufNewFile,BufRead', '*.vert', 'set', 'filetype=glsl' },
	{ 'BufNewFile,BufRead', '*.frag', 'set', 'filetype=glsl' },
	{ 'BufNewFile,BufRead', '*.tesc', 'set', 'filetype=glsl' },
	{ 'BufNewFile,BufRead', '*.tese', 'set', 'filetype=glsl' },
	{ 'BufNewFile,BufRead', '*.geom', 'set', 'filetype=glsl' },
	{ 'BufNewFile,BufRead', '*.comp', 'set', 'filetype=glsl' },
}, 'BufE')

g.rust_recommended_style = false
g.python_recommended_style = false
