local utils = require('utils')

utils.map('n', 'Q', '<nop>')
utils.map('n', '<Space>', ':noh<Return>', { silent = true })
utils.map('n', '<C-d>', '<C-d>zz', { silent = true })
utils.map('n', '<C-u>', '<C-u>zz', { silent = true })
utils.map('n', '|', '<C-w><C-v><C-w>l')
utils.map('n', '_', '<C-w><C-s><C-w>j')

utils.map('v', '<', '<gv', { silent = true })
utils.map('v', '>', '>gv', { silent = true })
utils.map('v', '<A-j>', ':m \'>+1<CR>gv=gv')
utils.map('v', '<A-k>', ':m \'<-2<CR>gv=gv')

vim.keymap.set(
	'n',
	'<Leader>n',
	function()
		vim.o.relativenumber = not vim.o.relativenumber
	end,
	{ silent = true }
)
